#include <stdio.h>
#include <stdlib.h>
#include <math.h>
int main()
{
    int n, i, zbir=0;
    int imax=0, jmax=0, imin=n, jmin=n;
    int zai=0, zaj=0;
    scanf("%i", &n);
    int ai[n], aj[n];
    for(i=0;i<n;i++){
    scanf("%i %i", &ai[i], &aj[i]);
    zai+=ai[i];
    zaj+=aj[i];
    if(ai[i]>imax)
        imax=ai[i];
    if(aj[i]>jmax)
        jmax=aj[i];
    if(ai[i]<imin)
        imin=ai[i];
    if(aj[i]<jmin)
        jmin=aj[i];
    }
    int z1=0, z2=0;
    for(i=imin;i<=n;i++)
        z1+=i;
    for(i=imax;i>0;i--)
        z2+=i;
    zbir+=abs(z1+z2-2*zai);
    z1=0;
    z2=0;
    for(i=jmin;i<=n;i++)
        z1+=i;
    for(i=jmax;i>0;i--)
        z2+=i;
    zbir+=abs(z1+z2-2*zaj);

    printf("%i", zbir);
    return 0;
}